<template>
  <div class="cmain">
    <el-form ref="form" :model="form" :rules="rules" label-width="100px">
      <el-row>
        <el-col :span="16">
          <el-form-item label="反馈标题" prop="title">
            <el-input v-model="form.title" placeholder="请输入反馈标题" clearable :disabled="param.detail" />
          </el-form-item>
        </el-col>
        <el-col :span="8">
          <el-form-item label="反馈类型" prop="type">
            <el-select v-model="form.type" placeholder="请选择类型" :disabled="param.detail">
              <el-option v-for="dict in dict.type.feedback" :key="dict.value" :label="dict.label" :value="dict.value" clearable></el-option>
            </el-select>
          </el-form-item>
        </el-col>
      </el-row>
      <el-form-item label="反馈内容" prop="contents">
        <editor v-model="form.contents" placeholder="请输入内容" :readonly="param.detail"></editor>
      </el-form-item>
    </el-form>
    <div class="mfooter" v-if="!param.detail">
      <el-button type="primary" @click="submitForm">确 定</el-button>
      <el-button @click="$layer.close(layerid)">取 消</el-button>
    </div>
  </div>
</template>

<script>
export default {
  dicts: ['feedback'],
  data() {
    return {
      form: {},
      rules: {
        title: [{ required: true, message: '不能为空', trigger: 'blur' }],
        type: [{ required: true, message: '不能为空', trigger: 'blur' }],
        contents: [{ required: true, message: '不能为空', trigger: 'blur' }]
      }
    };
  },
  props: {
    param: {
      type: Object,
      default: () => {
        return {};
      }
    },
    layerid: {
      type: String
    }
  },
  mounted() {
    if (this.param.id) {
      this.ajax({ url: '/work/feedback/detail/' + this.param.id }).then((response) => {
        this.form = response.data;
      });
    }
  },
  methods: {
    submitForm() {
      this.$refs['form'].validate((valid) => {
        if (valid) {
          if (this.form.id) {
            this.ajax({ method: 'post', url: '/work/feedback/edit', data: this.form }).then((response) => {
              this.$modal.msgSuccess('修改成功');
              this.$layer.close(this.layerid);
              this.$parent.getList();
            });
          } else {
            this.ajax({ method: 'post', url: '/work/feedback/add', data: this.form }).then((response) => {
              this.$modal.msgSuccess('提交成功');
              this.$layer.close(this.layerid);
              this.$parent.getList();
            });
          }
        }
      });
    }
  }
};
</script>
